QGIS Application - Bug report #13063
DXF Export: data-defined choice of simple markers does not work
2015-07-02 02:03 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: DXF export

Affected QGIS version:master Regression?: No
Operating System: all Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21133
Description

In the attached project there is a layer called "Simple Markers Data Defined".

If you export this layer, all symbols appear as circles, and not as the data-defined symbol chosen.

Related issues:
Related to QGIS Application - Bug report # 13062: DXF Export: problem with so... Closed 2015-07-02

Associated revisions

Revision b28c4847 - 2015-07-02 09:50 PM - Jiirgen Fischer
dxf export:
- add missing marker types (fixes #13062)

- add missing support for data-defined marker names (fixes #13063)

Revision f202c03e - 2015-07-02 10:31 PM - Jiirgen Fischer
dxf export:
- add missing marker types (fixes #13062)

- add missing support for data-defined marker names (fixes #13063)
(backported from b28c484)
Revision a07fdfa8 - 2015-07-03 11:22 AM - Jiirgen Fischer
dxf export:

- add missing marker types (fixes #13062)

- add missing support for data-defined marker names (fixes #13063)

(cherry picked from commit b28c4847c7d928a3ec34f187bb7429e83a49f6a9)

History

#1 - 2015-07-02 04:31 AM - Andreas Neumann

Actually "basic shapes" are "simple markers". Sorry about the wrong terminology.

#2 - 2015-07-02 10:23 AM - Jiirgen Fischer
- Subject changed from DXF Export: data-defined choice of basic shapes does not work to DXF Export: data-defined choice of simple markers does not

work
#3 - 2015-07-02 12:50 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"b28c4847¢7d928a3ec34f187bb7429e83a49f6a9".

Files

dxf_basic_shapes_data_defined_test.zip 11.2KB 2015-07-02 Andreas Neumann
